#include "SynEngine.hpp"

int main(int argc, char const *argv[])
{
    GameConfiguration config = GameConfiguration("Configurations");
    GameManager::SetConfig(config);
    Grid grid = Grid();
    grid.SetGrid();

    sf::RenderWindow render(sf::VideoMode(800, 600), "Test");

    if (render.isOpen()) // Quick Test
    {
        render.clear(config.GetBackgroundColor());
        grid.UpdateCell(0, 0, 2);
        grid.UpdateCell(0, 1, 2, 1);
        grid.Draw(&render);
        render.display();
        sf::sleep(sf::milliseconds(5000));
    }
    
    std::cout << "/)(\\";
    return 0;
}
